package com.ruoyi.platform.mapper;

import com.ruoyi.platform.domain.MachineLearnIns;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;

import java.util.List;

public interface MachineLearnInsDao {
    long count(@Param("machineLearnId") Long machineLearnId);

    List<MachineLearnIns> queryAllByLimit(@Param("machineLearnId") Long machineLearnId, @Param("pageable") Pageable pageable);

    List<MachineLearnIns> getByMachineLearnId(@Param("machineLearnId") Long machineLearnId);

    int insert(@Param("machineLearnIns") MachineLearnIns machineLearnIns);

    int update(@Param("machineLearnIns") MachineLearnIns machineLearnIns);

    MachineLearnIns queryById(@Param("id") Long id);

    List<MachineLearnIns> queryNotTerminated();
}
